Package org.bukkit.event.player

# Enum Class PlayerBedEnterEvent.BedEnterResult

java.lang.Object
java.lang.Enum<PlayerBedEnterEvent.BedEnterResult>
org.bukkit.event.player.PlayerBedEnterEvent.BedEnterResult

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerBedEnterEvent.BedEnterResult>`, `Constable`

Enclosing class:
  PlayerBedEnterEvent

public static enum PlayerBedEnterEvent.BedEnterResult extends Enum<PlayerBedEnterEvent.BedEnterResult>
Represents the default possible outcomes of this event.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NOT_POSSIBLE_HERE`
The world doesn't allow sleeping or saving the spawn point (eg, Nether, The End or Custom Worlds).
`NOT_POSSIBLE_NOW`
Entering the bed is prevented due to it not being night nor thundering currently.
`NOT_SAFE`
Entering the bed is prevented due to there being monsters nearby.
`OBSTRUCTED`
Bed was obstructed.
`OK`
The player will enter the bed.
`OTHER_PROBLEM`
Entering the bed is prevented due to there being some other problem.
`TOO_FAR_AWAY`
Entering the bed is prevented due to the player being too far away.

## Method Summary

Modifier and Type
Method
Description
`static PlayerBedEnterEvent.BedEnterResult`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerBedEnterEvent.BedEnterResult[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OK

public static final PlayerBedEnterEvent.BedEnterResult OK
The player will enter the bed.

### NOT_POSSIBLE_HERE

public static final PlayerBedEnterEvent.BedEnterResult NOT_POSSIBLE_HERE
The world doesn't allow sleeping or saving the spawn point (eg, Nether, The End or Custom Worlds). This is based on `World.isBedWorks()` and `World.isNatural()`. Entering the bed is prevented and if `World.isBedWorks()` is false then the bed explodes.

### NOT_POSSIBLE_NOW

public static final PlayerBedEnterEvent.BedEnterResult NOT_POSSIBLE_NOW
Entering the bed is prevented due to it not being night nor thundering currently.

If the event is forcefully allowed during daytime, the player will enter the bed (and set its bed location), but might get immediately thrown out again.

### TOO_FAR_AWAY

public static final PlayerBedEnterEvent.BedEnterResult TOO_FAR_AWAY
Entering the bed is prevented due to the player being too far away.

### OBSTRUCTED

public static final PlayerBedEnterEvent.BedEnterResult OBSTRUCTED
Bed was obstructed.

### NOT_SAFE

public static final PlayerBedEnterEvent.BedEnterResult NOT_SAFE
Entering the bed is prevented due to there being monsters nearby.

### OTHER_PROBLEM

public static final PlayerBedEnterEvent.BedEnterResult OTHER_PROBLEM
Entering the bed is prevented due to there being some other problem.

## Method Details

### values

public static PlayerBedEnterEvent.BedEnterResult[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerBedEnterEvent.BedEnterResult valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null